View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.converter.impl;
    17
    18  import org.apache.commons.fileupload.FileItem;
    19  import org.seasar.cubby.converter.Converter;
    20
    21  /**
    22   * {@link FileItem}から byte の配列へ変換する{@link Converter}です。
    23   *
    24   * @author baba
    25   */
    26  public class ByteArrayFileItemConverter extends AbstractFileItemConverter {
    27
    28  	/**
    29  	 * {@inheritDoc}
    30  	 *
    31  	 * @return byteの配列のクラスを返します。
    32  	 */
    33  	public Class<?> getObjectType() {
    34  		return byte[].class;
    35  	}
    36
    37  	/**
    38  	 * {@inheritDoc}
    39  	 * <p>
    40  	 * 指定された{@link FileItem}から取得したbyte配列を返します。
    41  	 * </p>
    42  	 *
    43  	 * @return 指定された{@link FileItem}から取得した byte 配列
    44  	 * @see FileItem#get()
    45  	 */
    46  	@Override
    47  	protected Object convert(final FileItem fileItem) {
    48  		return fileItem.get();
    49  	}
    50
    51  }